PtexLruItem Class Reference

`#include <PtexCache.h>`

## Public Member Functions

| PtexLruItem ()
void | push (PtexLruItem *item)
PtexLruItem * | pop ()

## Private Member Functions

void | extract ()

## Private Attributes

PtexLruItem * | _prev
PtexLruItem * | _next

## Detailed Description

Definition at line 49 of file PtexCache.h.

## Constructor & Destructor Documentation

## PtexLruItem()

PtexLruItem::PtexLruItem | ( |  | ) |

inline

Definition at line 61 of file PtexCache.h.

## Member Function Documentation

## extract()

void PtexLruItem::extract | ( |  | ) |

inlineprivate

Definition at line 54 of file PtexCache.h.

References _next, and _prev.

Referenced by pop(), and push().

## pop()

PtexLruItem * PtexLruItem::pop | ( |  | ) |

inline

Definition at line 73 of file PtexCache.h.

References _next, and extract().

Referenced by PtexLruList< T, item >::pop().

## push()

void PtexLruItem::push | ( | PtexLruItem * | item | ) |

inline

Definition at line 64 of file PtexCache.h.

References _next, _prev, and extract().

Referenced by PtexLruList< T, item >::push().

## Member Data Documentation

## _next

PtexLruItem* PtexLruItem::_next

private

Definition at line 52 of file PtexCache.h.

Referenced by extract(), pop(), and push().

## _prev

PtexLruItem* PtexLruItem::_prev

private

Definition at line 51 of file PtexCache.h.

Referenced by extract(), and push().

The documentation for this class was generated from the following file:

- PtexCache.h